/**
 * Posts and Pages
 */
.post {
  margin-bottom: 1.66667em;
}

.page-header,
.post-header {
  margin-bottom: 2.5em;
}

.page-title,
.post-title {
  margin-bottom: 0;
}

.page-subtitle,
.post-subtitle {
  color: _palette(charcoal-light-40);
  margin-top: 0.5em;
}

.post-subtitle {
  font-size: 1.33333em;
  line-height: 1.5;
}

.post-meta {
  color: _palette(charcoal-light-40);
  font-size: 0.88889em;
  letter-spacing: 1px;
  text-transform: uppercase;
}

.post-full {
  .post-meta {
    padding-bottom: 1.875em;
    padding-top: 0.9375em;
  }
}

.post-image {
  border: 0;
  display: block;
  margin-bottom: 1.66667em;

  img {
    width: 100%;
  }
}

/* Post feed */
.post-thumbnail {
  border: 0;
  display: block;
  margin-bottom: 1.33333em;
  position: relative;
  width: 100%;

  &:before {
    content: "";
    display: block;
    padding-top: 60%;
  }

  img {
    height: 100%;
    left: 0;
    -o-object-fit: cover;
    object-fit: cover;
    position: absolute;
    top: 0;
    width: 100%;
  }
}

.post-feed {
  .post-header {
    margin-bottom: 0.83333em;
  }

  .post-title {
    font-size: 1.33333em;

    a {
      border: 0;
      color: inherit;

      &:hover,
      &:focus {
        color: _palette(charcoal-light-15);
      }
    }
  }

  .post-meta {
    margin-top: 0.5em;
  }
}

.embed-container {
  position: relative;
  padding-bottom: 56.25%;
  margin: auto;
  margin-bottom: 2em;
  height: 0;
  overflow: hidden;
  width: 100%;

  iframe,
  object,
  embed {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }
}

.clean-list {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

@media only screen and (min-width: 541px) {
  .post-feed {
    &.grid-col-2 {
      .post-thumbnail {
        margin-bottom: 0.83333em;
      }

      .post-meta {
        font-size: 14px;
      }
    }
  }
}

@media only screen and (min-width: 761px) {
  .post-feed {
    &.grid-col-3 {
      .post-thumbnail {
        margin-bottom: 0.83333em;
      }

      .post-meta {
        font-size: 14px;
      }
    }
  }
}

@media only screen and (max-width: 600px) {
  .page-header,
  .post-header {
    margin-bottom: 2em;
  }

  .post-subtitle {
    font-size: 1.22222em;
  }
}
